Bug 11049 - Bug in rc.c file in the JOE editor
Bug in rc.c file in the JOE editor
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: joe (Show other bugs)
6.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-04-25 20:40 EDT by Jxrgen Flaten
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-04-26 16:09:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jxrgen Flaten 2000-04-25 20:40:21 EDT
In the function procrc() in file rc.c on line 763 there is a recursive call
to procrc to handle the :include directive in the .joerc scripts.  This
call only passes one of the two parameters that are required.  Change the
line from:
   switch(procrc(buf+x))
to:
   switch(procrc(cap,buf+x))

-- Jeff Peters
Comment 1 Trond Eivind Glomsrxd 2000-04-26 16:09:59 EDT
Thanks. I changed the rc.h as well  - the function must have been changed at
some point. The fixed version should show up in the next rawhide.

Note You need to log in before you can comment on or make changes to this bug.